<?php
   $target='nombre';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Datos/datos.php"); 
   $nombrepagina = "CREACION DATOS EMPRESA";
   encabezado($target);
   $user=$_SESSION['validar'];
   $filas=1;
   if($filas == 1){ 
	 class llamado{
	 	var $menuObj;
      	function validar1($id_user,$id_sucursal){
	 		$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
	  	}
		function arreglo($sql_consulta){
				$this->userObj=new select_zonas();
				$array=$this->userObj->get_array($sql_consulta);
				return $array;		
		}
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	 mostrar_cabeza_trabajo($nombrepagina);	 
	 $sql_info="SELECT * FROM info_empresa";
	 $array=$llamadoObj->arreglo($sql_info);
?>
<CENTER>
<form action="" method="POST" name="backup" encType="multipart/form-data">
<table width="350" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Datos Empresa ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Nombre:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="nombre" value="<? echo $array[0][1]?>" class="inputbox" size="42"></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
NIT:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="nit" value="<? echo $array[0][2]?>" class="inputbox" size="15"></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Direccion:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="direccion" value="<? echo $array[0][3]?>" class="inputbox" size="42"></td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Telefono 1:</td>
<td width="150" class="miTable_td">
<input type="text" name="tel" value="<? echo $array[0][4]?>" class="inputbox" size="15"></td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Fax:</td>
<td width="150" class="miTable_td">
<input type="text" name="tel2" value="<? echo $array[0][5]?>" class="inputbox" size="15"></td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
E-Mail:</td>
<td width="150" class="miTable_td">
<input type="text" name="mail" value="<? echo $array[0][6]?>" class="inputbox" size="25"></td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Web Page:</td>
<td width="150" class="miTable_td">
<input type="text" name="web" value="<? echo $array[0][7]?>" class="inputbox" size="25"></td>
</tr>
<tr class="miTable_tr">
  <td class="miTable_td">IP Publica: </td>
  <td class="miTable_td"><input name="ip_publica" type="text" id="ip_publica" value="<? echo $array[0][9]?>" class="inputbox" /></td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Logo:</td>
<td width="150" class="miTable_td">
<center>
<IMG src="logos/<?php echo $array[0][8];?>" width="215" height="69" border="0" title="Imagen Actual de la Empresa <?php echo $array[0][2];?>">
</center>
<BR>
<input type="file" name="logo" class="inputbox"></td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Ingresar" value="Ingresar Datos" class="inputbox">
</div></td>
</tr>
</table>
</form>
</CENTER>
<?
	 if(!isset($Ingresar)){

     }else{

class crearDatos{
	  var $crearObj;
	  var $conexionObj;
	  var $estado;
	  
	function setCrear($nombre,$nit,$direccion,$tel,$tel2,$mail,$pag_web,$ip_publica){
	  		 $this->crearObj=new datos();
	  		 $this->crearObj->setNit($nit);
			 $this->crearObj->setNombre($nombre);
	  		 $this->crearObj->setDireccion($direccion);
	  		 $this->crearObj->setTel($tel);
			 $this->crearObj->setTel2($tel2);
			 $this->crearObj->setEmail($mail);
			 $this->crearObj->setPag_web($pag_web);
			 $this->crearObj->setIp_publica($ip_publica);
	}
	function getCrear(){
		     return $this->crearObj;
	}
	function validar($tmp_archivo,$nombre_archivo){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$this->userObj=new select_zonas();
			$path=$this->userObj->get_path();
			$path=getcwd()."/logos/";                        
			$nombre_archivo;
			$tmp_archivo;
			 if($nombre_archivo!=''){
			    $nombret = $path.$nombre_archivo;
			 	if (move_uploaded_file($tmp_archivo, $nombret)){
			      
			 	}else{
				  	$msgBOX2 = "Error Al Cargar Logo.";
	  		    	echo "<script>
					   alert('$msgBOX2');
	  		  	      </script>";
			    }
			 }
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM info_empresa");
			if(mysql_num_rows($rst_validar)>=1){
				$nombre=$this->crearObj->getNombre();
				$nit=$this->crearObj->getNit();
				$direccion=$this->crearObj->getDireccion();
				$tel=$this->crearObj->getTel();
				$tel2=$this->crearObj->getTel2();
				$mail=$this->crearObj->getEmail();
				$pag_web=$this->crearObj->getPag_web();
				$logo=$this->crearObj->getLogo();
				$ip_publica=$this->crearObj->getIp_publica();
				$this->actualizarDatos($nombre,$nit,$direccion,$tel,$tel2,$mail,$pag_web,$nombre_archivo,$ip_publica);
			}else{
				$nombre=$this->crearObj->getNombre();
				$nit=$this->crearObj->getNit();
				$direccion=$this->crearObj->getDireccion();
				$tel=$this->crearObj->getTel();
				$tel2=$this->crearObj->getTel2();
				$mail=$this->crearObj->getEmail();
				$pag_web=$this->crearObj->getPag_web();
				$logo=$this->crearObj->getLogo();
				$ip_publica=$this->crearObj->getIp_publica();
				$this->insertarDatos($nombre,$nit,$direccion,$tel,$tel2,$mail,$pag_web,$nombre_archivo,$ip_publica);
				
			}
	}
	function insertarDatos($nombre,$nit,$direccion,$tel,$tel2,$mail,$pag_web,$nombre_archivo,$ip_publica){
	 		if($nombre_archivo==''){
				$rst_insertar=$this->conexionObj->modificar("INSERT INTO info_empresa VALUES ('0','".$nombre."','".$nit."','".$direccion."','".$tel."','".$tel2."','".$mail."','".$pag_web."','','".$ip_publica."')");
			}else{
				$rst_insertar=$this->conexionObj->modificar("INSERT INTO info_empresa VALUES ('0','".$nombre."','".$nit."','".$direccion."','".$tel."','".$tel2."','".$mail."','".$pag_web."','".$nombre_archivo."','".$ip_publica."')");
			}		
			$id_user=$_GET['id_user'];
			$id_suc=$_GET['suc'];
			$affected_rows=mysql_affected_rows();
			if($affected_rows>=1){
			    $msgBOX2 = "Datos Empresa Creados Exitosamente.";
	  		    echo "<script>
					  setTimeout(location.href='datos_empresa.php?id_user=$id_user&suc=$id_suc', 100);
	             	  alert('$msgBOX2');
	  		  	      </script>";
			}else{
			    $msgBOX2 = "Datos Empresa No Fueron Creados.";
	  		    echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
			}
	}
	function actualizarDatos($nombre,$nit,$direccion,$tel,$tel2,$mail,$pag_web,$nombre_archivo,$ip_publica){
			$id_user=$_GET['id_user'];
			$id_suc=$_GET['suc'];
	 		if($nombre_archivo==''){
			   $rst_insertar=$this->conexionObj->modificar("UPDATE info_empresa SET nombre='".$nombre."', nit='".$nit."', direccion='".$direccion."', telefono='".$tel."', fax='".$tel2."', mail='".$mail."', webpage='".$pag_web."', ip_publica='".$ip_publica."' ");
			}else{
			   $rst_insertar=$this->conexionObj->modificar("UPDATE info_empresa SET nombre='".$nombre."', nit='".$nit."', direccion='".$direccion."', telefono='".$tel."', fax='".$tel2."', mail='".$mail."', webpage='".$pag_web."', logo='".$nombre_archivo."', ip_publica='".$ip_publica."' ");
			}
			$affected_rows=mysql_affected_rows();
			if($affected_rows>=1){
			    $msgBOX2 = "Datos Empresa Actualizados.";
	  		    echo "<script>
             	  	  alert('$msgBOX2');
	  		  	      </script>";
			}else{
			    $msgBOX2 = "Datos Empresa No Fueron Actualizados.";
	  		    echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
			}
	}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearDatosObj=new crearDatos();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$crearDatosObj->setCrear($_POST['nombre'],$_POST['nit'],$_POST['direccion'],$_POST['tel'],$_POST['tel2'],$_POST['mail'],$_POST['web'],$_POST['ip_publica']);
// LAMANDO EL METODO DE NEGOCIO
$crearDatosObj->validar($HTTP_POST_FILES['logo']['tmp_name'],$HTTP_POST_FILES['logo']['name']);

}

mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?>
<td>
<center>
<?
        pie_de_pagina();
        ?>
</center>
</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>